Get an import
GET
/drives/{drive}/imports/{import}
const url = 'https://work.optidata.cloud/api/drives/1/imports/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://work.optidata.cloud/api/drives/1/imports/1 \ --header 'Authorization: Bearer <token>'A single import with its current progress.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”drive
required
integer format: int64
Numeric id of the drive. Read it from GET /drives/config.json.
import
required
integer format: int64
Numeric id of the import.
Responses
Section titled “ Responses ”The import.
Media typeapplication/json
Progress bookkeeping for a bulk import of an external file tree.
object
id
integer format: int64
drive_id
integer format: int64
destination_node_id
integer format: int64
origin_path
Path of the imported tree on the source system.
string
status
string
total_folders_count
integer
total_files_count
integer
total_byte_size
integer format: int64
sent_folders_count
integer | null
sent_files_count
integer | null
sent_byte_size
integer | null format: int64
last_processing
string | null format: date-time
uuid
string
cuid
string
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "origin_path": "D:\\Archive\\2025", "status": "waiting_start"}Missing, malformed or expired authentication key.
Media typeapplication/json
Authentication failures use an error key rather than message.
object
error
required
string
Examples
Examplemissing
No bearer token sent
{ "error": "JWT passport exception: Missing bearer token in request"}The resource does not exist, or does not belong to the given drive.
Media typeapplication/json
Generic error envelope used by policy, binding and framework failures.
object
message
required
Human-readable description of the failure.
string
Examples
Examplemissing
{ "message": "No query results for model [App\\Models\\Node] 99999999"}Rate limit exceeded. Retry after the window resets.
Media typeapplication/json
Generic error envelope used by policy, binding and framework failures.
object
message
required
Human-readable description of the failure.
string
Examples
Examplethrottled
{ "message": "Too Many Attempts."}